<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2"
        xmlns:sqf="http://www.schematron-quickfix.com/validator/process">
  <title>Schematron QuickFix Example: Add an attribute</title>
  <ns prefix="tei" uri="http://www.tei-c.org/ns/1.0"/>
  <pattern>
    <rule context="tei:foreign">
      <assert test="@xml:lang" sqf:fix="add-language">
        The foreign passage must have an indicator of the language in an @xml:lang attribute
      </assert>
      <sqf:fix id="add-language">
        <sqf:description>
          <sqf:title>Add the @xml:lang attribute</sqf:title>
        </sqf:description>
        <sqf:add node-type="attribute" target="xml:lang"/>
      </sqf:fix>
    </rule>
  </pattern>
</schema>
