<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2"
        xmlns:sqf="http://www.schematron-quickfix.com/validator/process">
  <title>Schematron QuickFix Example: Delete an attribute</title>
  <ns prefix="tei" uri="http://www.tei-c.org/ns/1.0"/>
  <pattern>
    <rule context="tei:rs/@ref">
      <let name="tokens" value="tokenize(., '\s+')"/>
      <assert test="exists($tokens)" sqf:fix="delete-attribute">
        The @ref attribute of a referring string must not be empty
      </assert>
      <sqf:fix id="delete-attribute">
        <sqf:description>
          <sqf:title>Delete the @<name/> attribute</sqf:title>
        </sqf:description>
        <sqf:delete/>
      </sqf:fix>
    </rule>
  </pattern>
</schema>
