<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2"
        xmlns:sqf="http://www.schematron-quickfix.com/validator/process">
  <title>Schematron QuickFix Example: Unwrap elements</title>
  <ns prefix="tei" uri="http://www.tei-c.org/ns/1.0"/>
  <pattern>
    <rule context="tei:titleStmt/tei:title[@type = 'short']">
      <assert test="empty(tei:*)" sqf:fix="unwrap-descendants">
        A short title must only contain text.
      </assert>
      <sqf:fix id="unwrap-descendants">
        <sqf:description>
          <sqf:title>Unwrap all descendant elements</sqf:title>
        </sqf:description>
        <sqf:replace node-type="element" target="{name()}">
          <sqf:copy-of select="@*"/>
          <sqf:copy-of select="descendant::text()"/>
        </sqf:replace>
      </sqf:fix>
    </rule>
  </pattern>
</schema>
